aboutsummaryrefslogtreecommitdiff
path: root/test/terraform
diff options
context:
space:
mode:
authorStefan Drzazga <stefan.drzazga@gmail.com>2023-02-15 22:59:31 +0300
committerGitHub <noreply@github.com>2023-02-15 22:59:31 +0300
commit900cbfc1f98ca13f99055cf3197e688e21bb0022 (patch)
tree62f294ca07a72eb8480caa2270b1df0f0e98d03c /test/terraform
parent4a9929f96485061e3778b35848e21d7c3c193480 (diff)
Add sentinel to terraform feature (#452)feature_terraform_1.2.0
* Introducing Sentinel installation * Modifying docs for sentinel * Modifying tests for sentinel * Revert "Modifying docs for sentinel" This reverts commit 818894b22fe022d29d59d3748ddd6103616773a6. * Modifying docs for sentinel * Fixing duplication issue for sentinel url * Update src/terraform/install.sh Co-authored-by: Samruddhi Khandale <skhandale@microsoft.com> * Increase minor version --------- Co-authored-by: Samruddhi Khandale <skhandale@microsoft.com>
Diffstat (limited to 'test/terraform')
-rw-r--r--test/terraform/install_sentinel.sh15
-rw-r--r--test/terraform/scenarios.json8
2 files changed, 23 insertions, 0 deletions
diff --git a/test/terraform/install_sentinel.sh b/test/terraform/install_sentinel.sh
new file mode 100644
index 0000000..e26ec33
--- /dev/null
+++ b/test/terraform/install_sentinel.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+set -e
+
+# Import test library for `check` command
+source dev-container-features-test-lib
+
+# Check to make sure the user is vscode
+check "user is vscode" whoami | grep vscode
+
+# Sentinel specific tests
+check "sentinel" sentinel --version
+
+# Report result
+reportResults \ No newline at end of file
diff --git a/test/terraform/scenarios.json b/test/terraform/scenarios.json
index 2365643..8977635 100644
--- a/test/terraform/scenarios.json
+++ b/test/terraform/scenarios.json
@@ -1,4 +1,12 @@
{
+ "install_sentinel": {
+ "image": "mcr.microsoft.com/devcontainers/base:jammy",
+ "features": {
+ "terraform": {
+ "installSentinel": true
+ }
+ }
+ },
"install_tfsec": {
"image": "mcr.microsoft.com/devcontainers/base:jammy",
"features": {